/* Copyright (C) 1997 Brian Raiter under the GNU General Public License */

#ifndef _game_h
#define _game_h


#define	Rnd(N)	((int)(((long)(rand() >> 8) * (N)) / ((RAND_MAX + 1L) / 256)))

extern int	nRows, nCols, nPegs;
extern int	**PegBoard, (*ChipBoard)[2], *Answer, *Commital;

extern BOOL CreateBoard(void);
extern void ClearBoard(void);
extern int ScoreRow(int nRow);
extern BOOL DoCommital(int nRow);
extern int GetNewPeg(int nRow);
extern BOOL TestRowFull(int nRow);
extern BOOL TestRowChanged(int nRow);
extern BOOL StartGame(void);
extern void EndGame(void);


#endif
